Erstellt von - Uhr

GnuTLS gefährdet: Mehrere Schwachstellen ermöglichen Offenlegung von Informationen und DoS

Für GnuTLS wurde ein Update zur IT-Sicherheitswarnung einer bekannten Schwachstelle veröffentlicht. Was betroffene Nutzer beachten sollten, erfahren Sie hier.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: Adobe Stock / WhataWin

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 11.07.2024 ein Update zu einer am 20.03.2024 bekanntgewordenen Sicherheitslücke für GnuTLS veröffentlicht. Betroffen von der Sicherheitslücke sind die Betriebssysteme UNIX und Windows sowie die Produkte Red Hat Enterprise Linux, Ubuntu Linux, SUSE Linux, Oracle Linux, RESF Rocky Linux, Open Source GnuTLS, IBM MQ, IBM App Connect Enterprise und IBM QRadar SIEM.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: IBM Security Bulletin 7160134 (Stand: 12.07.2024). Weitere nützliche Quellen werden weiter unten in diesem Artikel aufgeführt.

Sicherheitshinweis für GnuTLS - Risiko: mittel

Risikostufe: 3 (mittel)
CVSS Base Score: 7,5
CVSS Temporal Score: 6,5
Remoteangriff: Ja

Zur Einschätzung des Schweregrads von Schwachstellen in Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Kriterien miteinander zu vergleichen, um eine darauf aufbauende Prioritätenliste zur Einleitung von Gegenmaßnahmen zu erstellen. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Der Temporal Score berücksichtigt darüber hinaus zeitliche Veränderungen hinsichtlich der Gefahrenlage. Die Gefährdung der aktuellen Schwachstelle wird nach dem CVSS mit einem Base Score von 7,5 als "mittel" eingeschätzt.

GnuTLS Bug: Mehrere Schwachstellen ermöglichen Offenlegung von Informationen und DoS

GnuTLS (GNU Transport Layer Security Library) ist eine im Quelltext frei verfügbare Bibliothek, die Secure Sockets Layer (SSL) und Transport Layer Security (TLS) implementiert.

Ein Angreifer kann mehrere Schwachstellen in GnuTLS ausnutzen, um Informationen offenzulegen oder einen Denial-of-Service-Zustand zu verursachen.

Die Verwundbarkeit wird mit den eindeutigen CVE-Identifikationsnummern (Common Vulnerabilities and Exposures) CVE-2024-28834 und CVE-2024-28835 gehandelt.

Von der GnuTLS-Sicherheitslücke betroffene Systeme im Überblick

Betriebssysteme
UNIX, Windows

Produkte
Red Hat Enterprise Linux (cpe:/o:redhat:enterprise_linux)
Ubuntu Linux (cpe:/o:canonical:ubuntu_linux)
SUSE Linux (cpe:/o:suse:suse_linux)
Oracle Linux (cpe:/o:oracle:linux)
Red Hat Enterprise Linux Advanced Cluster Security for Kubernetes 4 (cpe:/o:redhat:enterprise_linux)
RESF Rocky Linux (cpe:/o:resf:rocky_linux)
Open Source GnuTLS <3.8.4 (cpe:/a:gnu:gnutls)
IBM MQ Operator <3.1.3 (cpe:/a:ibm:mq)
IBM MQ Operator <2.0.22 LTS (cpe:/a:ibm:mq)
IBM App Connect Enterprise <11.6.0 (cpe:/a:ibm:app_connect_enterprise)
IBM App Connect Enterprise LTS <5.0.18 (cpe:/a:ibm:app_connect_enterprise)
IBM QRadar SIEM <7.5.0 UP9 (cpe:/a:ibm:qradar_siem)

Allgemeine Empfehlungen zum Umgang mit IT-Sicherheitslücken

  1. Anwender der betroffenen Anwendungen sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten Sicherheitspatches verfügbar sein, installieren Sie diese zeitnah.
  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.
  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Hersteller-Informationen zu Updates, Patches und Workarounds

An dieser Stelle befinden sich weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

IBM Security Bulletin 7160134 vom 2024-07-12 (11.07.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7160134

SUSE Security Update SUSE-SU-2024:1271-2 vom 2024-06-03 (03.06.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-June/018653.html

IBM Security Bulletin 7156257 vom 2024-06-03 (02.06.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7156257

IBM Security Bulletin 7154630 vom 2024-05-22 (21.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7154630

Red Hat Security Advisory RHSA-2024:2941 vom 2024-05-21 (20.05.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:2941

Red Hat Security Advisory RHSA-2024:2889 vom 2024-05-16 (16.05.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:2889

Oracle Linux Security Advisory ELSA-2024-12364 vom 2024-05-09 (09.05.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-12364.html

Oracle Linux Security Advisory ELSA-2024-2570 vom 2024-05-08 (07.05.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-2570.html

Rocky Linux Security Advisory RLSA-2024:1784 vom 2024-05-06 (06.05.2024)
Weitere Informationen finden Sie unter: https://errata.build.resf.org/RLSA-2024:1784

Red Hat Security Advisory RHSA-2024:2570 vom 2024-04-30 (01.05.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:2570

Ubuntu Security Notice USN-6733-2 vom 2024-04-29 (29.04.2024)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6733-2

Red Hat Security Advisory RHSA-2024:2044 vom 2024-04-25 (24.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:2044

Red Hat Security Advisory RHSA-2024:1997 vom 2024-04-23 (23.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1997

Oracle Linux Security Advisory ELSA-2024-12336 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-12336.html

Oracle Linux Security Advisory ELSA-2024-1879 vom 2024-04-19 (18.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1879.html

Red Hat Security Advisory RHSA-2024:1879 vom 2024-04-18 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1879

Oracle Linux Security Advisory ELSA-2024-1784 vom 2024-04-16 (15.04.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1784.html

Ubuntu Security Notice USN-6733-1 vom 2024-04-15 (15.04.2024)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6733-1

SUSE Security Update SUSE-SU-2024:1271-1 vom 2024-04-12 (14.04.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-April/018334.html

Red Hat Security Advisory RHSA-2024:1784 vom 2024-04-11 (11.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1784

Red Hat Bugzilla – Bug 2269084 (20.03.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/security/cve/CVE-2024-28835

Red Hat Bugzilla – Bug 2269084 (20.03.2024)
Weitere Informationen finden Sie unter: https://bugzilla.redhat.com/show_bug.cgi?id=2269084

GnuTLS GitLab vom 2024-03-20 (20.03.2024)
Weitere Informationen finden Sie unter: https://gitlab.com/gnutls/gnutls/-/issues/1527

GnuTLS GitLab vom 2024-03-20 (20.03.2024)
Weitere Informationen finden Sie unter: https://gitlab.com/gnutls/gnutls/-/issues/1525

GnuTLS GitLab vom 2024-03-20 (20.03.2024)
Weitere Informationen finden Sie unter: https://gitlab.com/gnutls/gnutls/-/issues/1516

GnuTLS Advisories vom 2024-03-20 (20.03.2024)
Weitere Informationen finden Sie unter: https://gnutls.org/security-new.html

Versionshistorie dieser Sicherheitswarnung

Dies ist die 20. Version des vorliegenden IT-Sicherheitshinweises für GnuTLS. Sollten weitere Updates bekanntgegeben werden, wird dieser Text aktualisiert. Änderungen oder Ergänzungen können Sie in dieser Versionshistorie nachlesen.

20.03.2024 - Initiale Fassung
11.04.2024 - Neue Updates von Red Hat aufgenommen
14.04.2024 - Neue Updates von SUSE aufgenommen
15.04.2024 - Neue Updates von Ubuntu und Oracle Linux aufgenommen
17.04.2024 - Neue Updates von Red Hat aufgenommen
18.04.2024 - Neue Updates von Oracle Linux aufgenommen
22.04.2024 - Neue Updates von Oracle Linux aufgenommen
23.04.2024 - Neue Updates von Red Hat aufgenommen
24.04.2024 - Neue Updates von Red Hat aufgenommen
29.04.2024 - Neue Updates von Ubuntu aufgenommen
01.05.2024 - Neue Updates von Red Hat aufgenommen
06.05.2024 - Neue Updates von Rocky Enterprise Software Foundation aufgenommen
07.05.2024 - Neue Updates von Oracle Linux aufgenommen
09.05.2024 - Neue Updates von Oracle Linux aufgenommen
16.05.2024 - Neue Updates von Red Hat aufgenommen
20.05.2024 - Neue Updates von Red Hat aufgenommen
21.05.2024 - Neue Updates von IBM aufgenommen
02.06.2024 - Neue Updates von IBM aufgenommen
03.06.2024 - Neue Updates von SUSE aufgenommen
11.07.2024 - Neue Updates von IBM aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten generiert und wird je nach Warnlage datengetrieben aktualisiert. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

/roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.